# edtestlib.pl - Prints a test of browser <TEXTAREA> behavior
# This file is part of WebRSH 1.1b (beta)
# Copyright (C) 1997,1998  Yoram Last (ylast@mindless.com)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

print '<HR><CENTER><FORM>',"\n",
'<TABLE BGCOLOR="',"$TableColor\" $FTableParam",'>',"\n",
'<TR><TD ALIGN="center">',"\n",
'<TABLE ',"$TableParam",'><TR><TD ALIGN="center">',"\n",
'<B> Test of browser &lt;TEXTAREA&gt; behavior </B>',"\n",
'</TD></TR><TR><TD ALIGN="center">',"\n",
'<TEXTAREA NAME="TestFile" COLS=',"$EdCols",' ROWS=',"$EdRows",' READONLY>',"\n";
print <<'ENDOFTEXT';

This is the third line of the file. It is preceded by two empty lines.
This line is followed by three (3) empty lines.



If any of the above described empty lines is missing, you
should set a non-null 'Empty Line Holder'. If any line other
than the first one is missing (please also check the three
empty lines at the end of this test document in case such
lines might be of any importance to you) you should UNCHECK
the 'Only Protect First Line' box.
----------------------------------------------------------
Now we check handling of some special characters.
Please look at the following three lines:
 <<< """ &&& >>>
 &lt;&lt;&lt; &quot;&quot;&quot; &amp;&amp;&amp; &gt;&gt;&gt;
 *lt;*lt;*lt; *quot;*quot;*quot; *amp;*amp;*amp; *gt;*gt;*gt;

If the first line is empty, or it looks identical to the
second line, or it only has some of the characters that are
on the second line, and if the second line has exactly 12
visible characters (4 kinds, 3 of each), then your browser
properly supports encoding of special characters, and you
should CHECK the 'Encode Special Characters' box.

If the second line and the third line look very similar except
that all of the '&' characters in the second line are replaced
by '*' characters in the third line, then your browser does NOT
support textarea character encoding. If you also see exactly 12
visible characters (4 kinds, 3 of each) in the first line, then
you should still be able to use the editor. You should UNCHECK
the 'Encode Special Characters' box, and also make sure that
your 'TEXTAREA Modifier' is set to something appropriate.

In any other case, your browser in not behaving consistantly
and it is probably UNSAFE to use it for additing HTML documents
or other files containing special characters.
---------------------------------------------------------
Finally, this line is followed by three empty lines.


</TEXTAREA>
</TD></TR></TABLE></TD></TR></TABLE></FORM></CENTER>
ENDOFTEXT

1; # return true
